function [ first, last, selected ] = detectTrigger( vChirp )

  % try to find edges in chirp signal for the N samples
  d = [diff(vChirp) 0];
  nSamples = length(vChirp);
  
  % determine threshold!
  threshold =  2*std(d); % adjust this value depending on noise
  
  edge = (abs(d) > threshold);
  
  % find begining of first edge
  iEdge = find(edge, 1, 'first');
  
  % max width of edge: 1% of nSamples
  first = find(edge(iEdge:(iEdge+floor(nSamples*.01))), 1, 'last')+1+iEdge;
  
  % find end of chirp -> look for next edge
  last = find(edge(first:end), 1, 'first')+first;
  %last = last -1; % found that therre is one sample too much
  selected = zeros(1, nSamples);
  selected(first:last) = 1;
end

