function [ com ] = openDevice( hostname )

  RsrcName = sprintf('TCPIP::%s::INSTR', hostname);
  com = instrfind('Type', 'visa-tcpip', 'Tag', RsrcName);

  if ~isempty(com)
    fprintf('reuse instrument connection\n');
  else
    try
      com = visa('ni', RsrcName);
      com.Tag = RsrcName;
    catch ex
      error('Could not create visa object {%s}', RsrcName);
    end
  end

  if(strcmpi(get(com,'Status'), 'closed'))
    try
      com.InputBufferSize  = 10*1024*1024;
      com.OutputBufferSize = 10*1024*1024;
      com.Timeout          = 10;
      fopen(com);
    catch err
      fclose(com);
      error('Could not open connection to %s!', hostname);
    end
  end
  
  if(strcmpi(get(com,'Status'), 'closed'))
    error('could not connect to %s', hostname);
  end

end

